Subject: [netatalk-admins] PROBLEM SOLVED: Re: Serving HFS volumes and 2.2 kernel (fwd)

From: Brandon Warren <[email-masked]>
Date: Mon, 4 Oct 1999 14:23:23 -0700 (PDT)

I have solved the problem I was having. I rebuilt netatalk, and
this time I did not enable the sendfile() call (I did not add
-DSENDFILE_FLAVOR_LINUX to the DEFS line in sys/linux/Makefile).

Brandon  

On Tue, 21 Sep 1999, Brandon Warren wrote:

> I'm in the process of setting up a server running Mandrake 6.0
> (similar to Red Hat 6.0). I'm using Red Hat's 2.2.5-22 kernel
> and netatalk-1.4b2+asun2.1.3.
> 
> I have an optical drive (uses 650 MB PD disks) connected to
> the SCSI bus.  I can put in a Mac formatted PD disk, mount
> it, and read it. I can copy it to my ext2 partition,
> go to a Mac, connect via chooser, and read the copy
> from the ext2 partition.
> 
> The problem is when I try to access the PD disk over the
> network from a Mac.  I can copy many files just fine, but
> some files cause the Mac to say that there is a disk error
> and then the Mac says that the server's connection has unexpectedly
> closed down.  It seems that files with a resource fork but
> no data fork are more likely to do this.
> 
> I have a Red Hat 5.2 system (2.0.36 kernel) with the same
> setup, and it does not have this problem.
> 
> Any ideas?  Are any other kernel 2.2 users able to access an HFS volume
> from a Mac?  Would Samba/Dave be more reliable?
> 
> Thanks,
> 
> Brandon
>